import styled from "styled-components"
import Link from "next/link"

export default function NavigationBar() {
    return <Navigation>
        <h1>Parafia w Borzęcie</h1>
        <NavigationLinks>
            <li><Link href="/">Strona główna</Link></li>
            <li><Link href="/contact">Kontakt</Link></li>
        </NavigationLinks>
    </Navigation>
}

const Navigation = styled.nav`
    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: ${({ theme }) => theme.space}px;
    position: fixed;
    width: 100%;
    left: 0;
    top: 0;
`

const NavigationLinks = styled.ul`
    list-style-type: none;
    li {
        margin: ${({ theme }) => theme.space}px;
        display: block;
        float: left;
    }
`